Home

Estimate Fee

POST
https://ton.nownodes.io/estimateFee

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Estimate fees required for query processing. body, init-code and init-data accepted in serialized format (b64-encoded).

Body

application/json
addressstringrequired

Address in any format

bodystringrequired

b64-encoded cell with message body

init_codestring

b64-encoded cell with init-code

init_datastring

b64-encoded cell with init-data

ignore_chksigbooleantrue

If true during test query processing assume that all chksig operations return True

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout